Name:           pycryptopp
Version:        0.6.0.1206569328141510525648634803928199668821045408958
%define base_release .2
Release:        3%{?dist}%{?base_release}
# Base: exclude cross arches for this package
ExcludeArch: mips64 ppca2 ppc476 ppcnf
Summary:        Python wrappers for the Crypto++ library

Group:          Development/Languages

# we don't use the embedded cryptopp library
# but link against the one in Fedora
# 
# all the files we distribute in the binary rpm
# are GPLv2+ or TGPPL
#
# see copyright for details
License:        GPLv2+

URL:     https://tahoe-lafs.org/trac/pycryptopp
Source0: http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  python-devel, cryptopp-devel, python-setuptools

%description
PyCryptopp is a set of Python wrappers for a few
of the best crypto algorithms from the Crypto++ library
(including SHA-256, AES, RSA signatures and Elliptic Curve DSA signatures).

%prep
%setup -q

rm -rf darcsver-*.egg
rm -rf setuptools_darcs-*.egg

%build
CFLAGS="%{optflags}" %{__python} setup.py build --disable-embedded-cryptopp


%install
%{__python} setup.py install --skip-build --root %{buildroot}
rm -rf %{buildroot}%{_docdir}/%{name}/

# This file isn't needed.  It's used to mark the embedded crytopp as having
# come from pycrypto.  We're not installing the embedded version.
rm -rf %{buildroot}/%{_prefix}/cryptopp/extraversion.h


%check
CFLAGS="%{optflags}" %{__python} setup.py test

# tests are done, remove them
rm -rf %{buildroot}%{python_sitearch}/%{name}/test/
rm -rf %{buildroot}%{python_sitearch}/%{name}/testvectors/

%files
%defattr(-,root,root,-)
%doc COPYING.GPL COPYING.TGPPL.html README.rst ChangeLog copyright
%{python_sitearch}/%{name}
%{python_sitearch}/%{name}-%{version}-*.egg-info

%changelog
* Fri Dec 13 2013 baseuser@ibm.com
- Base-8.x spec file
